
package com.redxun.knowledge.service;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.db.PageHelper;
import com.redxun.common.base.search.QueryFilter;
import com.redxun.common.tool.IdGenerator;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.entity.dao.Banner;
import com.redxun.knowledge.mapper.BannerMapper;
import com.redxun.knowledge.mapper.BannerMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import javax.annotation.Resource;

/**
* [业务--首页banner表]业务服务类
*/
@Service
public class BannerServiceImpl extends SuperServiceImpl<BannerMapper, Banner> implements BaseService<Banner> {

    @Resource
    private BannerMapper bannerMapper;

    @Override
    public BaseDao<Banner> getRepository() {
        return bannerMapper;
    }

    public IPage findAllBanner(QueryFilter filter) {
        Map<String, Object> params = PageHelper.constructParams(filter);
        return bannerMapper.findAllBanner(filter.getPage(), params);
    }

    ///**
    // * 查询全部banner展示(默认展示10张)
    // * @return
    // */
    //@Override
    //public List<Banner> getAll() {
    //    QueryWrapper<Banner> queryWrapper = new QueryWrapper<>();
    //    queryWrapper.orderByDesc("CREATE_TIME_");
    //    List<Banner> bannersList = bannerMapper.selectList(queryWrapper);
    //    List<Banner> result = bannersList.parallelStream().limit(10).collect(Collectors.toList());
    //    return result;
    //}
}
